close
    Adobe Photoshop 7.0 For Mac

    Will this work on my MacBook which has system 10.5.8?

    0  Views: 489 Answers: 1 Posted: 10 years ago
    Tags: dmives

    1 Answer

    No, you need a newer version of Photoshop.



    Top contributors in Uncategorized category

     
    ROMOS
    Answers: 18066 / Questions: 153
    Karma: 1101K
     
    Colleen
    Answers: 47272 / Questions: 115
    Karma: 953K
     
    country bumpkin
    Answers: 11318 / Questions: 160
    Karma: 838K
     
    Benthere
    Answers: 2386 / Questions: 30
    Karma: 759K
    > Top contributors chart

    Unanswered Questions

    446294
    questions
    716681
    answers
    665006
    users